# HTTP API Reference

The HTTP API builds the foundation for our IoT identity provider. The API requires the use of HTTPS as content such as the JWT and AT must not be transported over an insecure connection.

## Token API

The token API is for requesting access tokens issued by our IoT identity provider.

{% content-ref url="/pages/RnYBnjnG3gRLjWqB8CLP" %}
[Token API](/api-reference/reference/http-api-reference/token-api.md)
{% endcontent-ref %}

## IdP API

The IdP API is used to validate issued access tokens with our IoT identity provider.

{% content-ref url="/pages/iMqM31cQm1MJMCHVHddZ" %}
[IdP API](/api-reference/reference/http-api-reference/idp-api.md)
{% endcontent-ref %}

## Device API

The device API is used for updating device information registered with our IoT identity provider.

{% content-ref url="/pages/02R96vt8Esf5YQCFd0ps" %}
[Device API](/api-reference/reference/http-api-reference/device-api.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://iothentix.gitbook.io/api-reference/reference/http-api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
